Relatório - 16/01/2009 - Teste do MOSIX mosix-2.24.2.3.tbz com o kernel padrão do MDV 2009.0 (2.6.27.7-desktop-1mnb)



Desenrolar

29/01/2009 - Fiz os mesmos testes com a versão MOSIX-2.25.0.1 , obtive os mesmos erros. O problema é o kernel do MDV.
21/01/2009 - Fiz os testes com os kernel-source do MDV 2009.0, infelizmente os resultados não foram bons. Testei as versões: linux-2.6.27-0.rc8.2mnb linux-2.6.27.7-1mnb/ e linux-2.6.27.1 (essa é a versão oficial do kernel.org, para funcionar de contra-prova).

Nas duas versões do MDV, o patch do MOSIX NÃO FOI APLICADO corretamente, e obtive erros de compilação, segue o log do erro retornado ao aplicar o patch do mosix: da aplicação do patch

Obtive o mesmo erro de compilação para ambas as versões do MDV. Erro de compílação:
 [root@lcc23 linux-2.6.27.7-1mnb]# make bzImage > bzimage.log
In file included from include/linux/elfcore.h:10,           
				 from include/linux/kexec.h:10,             
				 from init/initramfs.c:489:                 
include/linux/ptrace.h: In function ‘ptrace_init_task’:     
include/linux/ptrace.h:195: error: ‘struct task_struct’ has no member named ‘mflags’
init/initramfs.c: In function ‘populate_rootfs’:                                    
init/initramfs.c:551: warning: ISO C90 forbids mixed declarations and code          
make[1]: ** [init/initramfs.o] Erro 1                                               
make: ** [init] Erro 2 


Já com o kernel oficial, suportado pelo MOSIX, o patch foi aplicado corretamente e o processo de compilação seguiu normalmente.

Também notei que esses sources do MDV, não vem configurados, não sei se existe algum conf file escondido dentro de sua raíz. O que perde a vantagem de se usar um kernel do MDV.

16/01/2009 - Fiz a instalação do zero do MDV 2009.0 na máquina LCC23. Nesse momento ela está fora da NIS/NFS, e está dedicada somente ao teste do MOSIX. Pronta para o começo dos testes.



Problemas

Tenho duas questões em mente, a compatibilidade do MOSIX 2.45.2.3 com o kernel 2.6.27.7, haja visto que pelo site do MOSIX, só a versão 2.6.27.1 é suportada:

2.24.2.3 (Oct 17, 2008)

	* Using Linux kernel 2.6.27.1 (2.6.25.10 and 2.6.26.1 are also supported) 
Fonte: http://www.mosix.com.au/updates.html 


E também, a compatibilidade dessa nova versão, com a versão 2.4.19.0.4 instalada anteriormente nas máquinas.
There are no comments on this page.
Valid XHTML :: Valid CSS: :: Powered by WikkaWiki